%global commit 571dc0a51c10fc528ea6adffa4119d9587dafb5e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-egit
Version:        0.14.0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        M2E SCM Handler for EGit
License:        EPL
URL:            https://github.com/tesla/m2eclipse-egit/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-egit/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.egit.core)
BuildRequires:  osgi(org.eclipse.egit.ui)
BuildRequires:  osgi(org.eclipse.jface)
BuildRequires:  osgi(org.eclipse.jgit)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.core.ui)
BuildRequires:  osgi(org.eclipse.m2e.scm)
BuildRequires:  osgi(org.eclipse.swt)
BuildRequires:  osgi(org.eclipse.ui)
BuildRequires:  osgi(slf4j.api)

%description
This package provides M2E SCM Handler for EGit which adds support for
git repositories to M2E.

%prep
%setup -q -n m2eclipse-egit-%{commit}
find -name *.jar -delete

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.egit.tests

# SLF4J in Fedora uses a different BSN
sed -i s/org.slf4j.api/slf4j.api/ $(find -name *.MF)

%build
%mvn_build -i -j

%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse/dropins/%{name}
cp -a eclipse %{buildroot}%{_datadir}/eclipse/dropins/%{name}/

%files
%doc org.sonatype.m2e.egit.feature/license.html
%{_datadir}/eclipse/dropins/%{name}

%changelog
* Wed Jan 29 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.14.0-0.1.git571dc0a
- Initial packaging
